/*	Filename:ArcConv.cpp						*/
/************************************************/
/*												*/
/*				A[JCuRo[^			*/
/*												*/
/*					Ver.1.xx   					*/
/*												*/
/*			 	CW[				*/
/*                             					*/
/*		Copyright 2002-2003 by DELTA SOFT		*/
/*												*/
/************************************************/

/*----------------------------------------------*/
/*							`					*/
/*----------------------------------------------*/

#ifndef mainH
#define mainH

#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>

#include "Archiver.h"

/*----------------------------------------------*/
/*												*/
/*----------------------------------------------*/

bool __fastcall	OpenURL(AnsiString URL);
bool __fastcall	DeleteFiles(AnsiString Path);

/*----------------------------------------------*/
/*				TFormArcConvNX				*/
/*----------------------------------------------*/

class TFormArcConv : public TForm
{
__published:	// IDE Ǘ̃R|[lg
	TLabel *Label1;
	TLabel *Label2;
	TComboBox *ComboBoxDest;
	TMemo *Memo;
	TButton *ButtonConvert;
	TLabel *LabelDest;
	TLabel *LabelSource;
	TButton *ButtonUnpack;
	TProgressBar *ProgressBar;
	TButton *ButtonHelp;
	void __fastcall ComboBoxDestChange(TObject *Sender);
	void __fastcall ButtonConvertClick(TObject *Sender);
	void __fastcall ButtonUnpackClick(TObject *Sender);
	void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
	void __fastcall ButtonHelpClick(TObject *Sender);
private:	// [U[錾
	TArchiver	*FArchiver;

protected:
	void __fastcall CreateParams(Controls::TCreateParams &Params);
	void __fastcall WMDropFiles(TWMDropFiles& Msg);
	void __fastcall	SetArchive(AnsiString FileName);
	int __fastcall Unpack(void);
	bool __fastcall	OnProgress(TObject *Sender,int Mode,EXTRACTINGINFO *Info);

public:		// [U[錾
	__fastcall TFormArcConv(TComponent* Owner);

#pragma warn -inl

BEGIN_MESSAGE_MAP
	MESSAGE_HANDLER(WM_DROPFILES, TWMDropFiles, WMDropFiles)
END_MESSAGE_MAP(TScrollingWinControl)

#pragma warn .inl

};

/*----------------------------------------------*/
/*				O[oϐ					*/
/*----------------------------------------------*/

extern PACKAGE TFormArcConv *FormArcConv;

#endif

/*****	End	*****/

